Bug 1162888 - Typo in remote.py breaks poweron command
Summary: Typo in remote.py breaks poweron command
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cobbler
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-11 23:01 UTC by Dan Heath
Modified: 2015-07-30 00:39 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-27 23:11:42 UTC


Attachments (Terms of Use)

Description Dan Heath 2014-11-11 23:01:48 UTC
Description of problem:

Typo in remote.py causes poweron task to fail:

[root@labmaster ~]#  cobbler system poweron --name chost01
task started: 2014-10-30_205622_power
task started (id=Power management (on), time=Thu Oct 30 20:56:22 2014)
failed to execute power task on chost01
*** TASK COMPLETE ***

Offending line is:

<snip>
1994-        if power=="on":
1995:            rc=self.api.power_on(obj, user=user, password=passwrod, logger=logger)
1996-        elif power=="off":
</snip>

Version-Release number of selected component (if applicable):

cobbler-2.6.3-1.el6.noarch

Additional info:

Fixed upstream - https://github.com/cobbler/cobbler/pull/1173.

Comment 1 Orion Poplawski 2014-11-12 02:35:20 UTC
You could try https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3502/cobbler-2.6.6-1.el6

although be sure to update your settings config to add the new proxy config options.  I'm waiting on pushing that until 2.6.7 is out that addresses that upgrade issue.

Comment 2 Dan Heath 2014-11-18 05:23:51 UTC
Upgraded to 2.6.6-1 and all looks to be working.

Cheers - Dan.

Comment 3 Fedora Update System 2014-11-18 15:36:41 UTC
cobbler-2.6.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3502/cobbler-2.6.6-1.el6

Comment 4 Fedora Update System 2015-01-01 00:49:23 UTC
cobbler-2.6.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cobbler-2.6.7-1.el6

Comment 5 Fedora Update System 2015-01-01 19:38:10 UTC
Package cobbler-2.6.7-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cobbler-2.6.7-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0002/cobbler-2.6.7-1.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-05-09 02:15:45 UTC
cobbler-2.6.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.el6

Comment 7 Fedora Update System 2015-05-09 02:16:00 UTC
cobbler-2.6.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.el7

Comment 8 Fedora Update System 2015-05-09 02:16:12 UTC
cobbler-2.6.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.fc20

Comment 9 Fedora Update System 2015-05-09 02:16:23 UTC
cobbler-2.6.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.fc22

Comment 10 Fedora Update System 2015-05-09 02:16:33 UTC
cobbler-2.6.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.fc21

Comment 11 Fedora Update System 2015-07-27 23:11:42 UTC
cobbler-2.6.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-07-27 23:12:25 UTC
cobbler-2.6.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-07-30 00:39:21 UTC
cobbler-2.6.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.